<template>
  <a
    href="/cart"
    class="fixed max-w-500 w-[100%] px-4 bottom-4"
    v-if="this.cart.length > 0"
  >
    <button
      class="w-full py-3 px-4 bg-400 rounded-full flex flex-row justify-between items-center"
    >
      <div class="flex flex-row justify-center items-center">
        <svg
          width="24"
          height="25"
          viewBox="0 0 24 25"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
          class="w-[30px] h-[30px]"
        >
          <path
            d="M11.2649 2.62913C10.8992 2.67659 10.5949 2.74359 10.2599 2.85247C8.62952 3.39127 7.29787 4.762 6.65298 6.56266C6.52735 6.91441 6.42964 7.22988 6.40731 7.37225C6.37102 7.59838 6.3766 7.59559 6.00251 7.59559C5.81826 7.59559 5.66751 7.60118 5.66751 7.60676C5.66751 7.61513 5.70659 7.73797 5.75684 7.88035C5.84617 8.13439 5.84618 8.15114 5.84897 8.64249C5.84897 9.13662 5.84617 9.15058 5.75684 9.42696C5.567 10.0104 5.18175 10.5157 4.68761 10.8368C4.43636 10.9987 4.45311 10.9708 4.50894 11.1439C4.58711 11.3728 4.57594 11.6799 4.48661 11.8753C4.39727 12.0735 4.20465 12.2801 4.0176 12.3834C3.83056 12.4839 3.45926 12.5146 3.24988 12.442C3.17729 12.4169 3.11308 12.4001 3.11029 12.4057C3.10192 12.4141 3.26663 14.1003 3.33642 14.7284C3.3783 15.1193 3.69097 18.2376 3.73843 18.7904C3.80822 19.5413 3.8836 20.189 3.92547 20.3537C4.09298 21.0321 4.43357 21.7217 4.77416 22.079C4.92491 22.2381 5.19291 22.4084 5.35483 22.4503C5.51675 22.4894 15.5027 22.5201 17.1303 22.4838L18.1632 22.4615L18.3447 22.3721C18.8137 22.1404 19.252 21.4704 19.5256 20.5687C19.6038 20.3147 19.6317 20.1444 19.6791 19.6558C19.7126 19.3264 19.7573 18.8797 19.7796 18.6647C19.8187 18.3074 19.8969 17.5257 19.9611 16.8669C19.975 16.7189 20.0448 16.0405 20.1174 15.3566C20.2793 13.796 20.2793 13.7932 20.2542 13.7932C20.2347 13.7932 19.6205 14.2231 19.2352 14.5051C18.9979 14.6782 18.5401 15.0048 17.9511 15.418C17.7277 15.5743 17.2783 15.8954 16.9516 16.1327C16.6222 16.3672 16.3347 16.5682 16.3095 16.5793C16.2844 16.5877 16.2509 16.61 16.2342 16.6296C16.209 16.6575 15.8377 16.9255 14.7825 17.6737C14.6289 17.7826 14.347 17.9836 14.1543 18.1204C13.9617 18.2572 13.7691 18.394 13.7216 18.4275C13.6769 18.4582 13.5374 18.5587 13.4145 18.6508C13.2917 18.7429 13.1772 18.8183 13.1577 18.8183C13.1409 18.8183 13.1214 18.8295 13.1158 18.8406C13.113 18.8518 12.9818 18.9523 12.8283 19.064C12.6747 19.1728 12.524 19.2845 12.4933 19.3096C12.4123 19.3738 12.2587 19.4492 12.1303 19.4883C12.0438 19.5134 11.988 19.5134 11.8986 19.4911C11.7953 19.4632 11.357 19.1812 10.888 18.8434C10.8043 18.782 10.6842 18.6982 10.6228 18.6536C10.5614 18.6117 10.3353 18.4498 10.1203 18.299C9.60662 17.9333 9.5452 17.8887 8.95056 17.4699C8.67418 17.2745 8.42014 17.093 8.38943 17.0707C8.35872 17.0483 8.20797 16.9423 8.05442 16.8334C7.90088 16.7245 7.76967 16.6296 7.76129 16.6184C7.75292 16.6073 7.71662 16.5821 7.67754 16.5598C7.63846 16.5403 7.42908 16.3951 7.20853 16.2387C6.38218 15.6553 6.33752 15.6078 6.33752 15.3398C6.33752 15.2086 6.35427 15.1751 6.56365 14.8652C6.99078 14.2399 7.02707 14.2008 7.20853 14.1394C7.38999 14.0808 7.53516 14.1198 7.77246 14.2929C7.87017 14.3627 8.01813 14.4688 8.09909 14.5274C8.18284 14.5833 8.42572 14.7563 8.64068 14.9099C8.85565 15.0634 9.12086 15.2505 9.22694 15.3259C9.33582 15.3984 9.65408 15.6246 9.93883 15.8256C10.6284 16.3141 10.5363 16.2471 11.3068 16.7943C11.6837 17.0623 12.0047 17.2828 12.0215 17.2828C12.0466 17.2828 12.6049 16.8976 13.1353 16.5179C13.1661 16.4956 13.2973 16.4007 13.4285 16.3085C13.5597 16.2164 13.73 16.0936 13.8081 16.035C13.8891 15.9763 13.9757 15.9121 14.0036 15.8926C14.1236 15.8116 14.9248 15.2449 14.9528 15.2198C14.9835 15.1946 15.6758 14.7033 15.7819 14.6307C15.8154 14.6084 15.9131 14.5414 15.9969 14.4772C16.0834 14.4158 16.1727 14.3515 16.1979 14.3376C16.2621 14.2985 17.1024 13.6927 17.2699 13.5671C17.348 13.5057 17.4206 13.4582 17.4318 13.4582C17.443 13.4582 17.4653 13.4442 17.4848 13.4275C17.5044 13.4107 17.7836 13.2097 18.1046 12.9836C18.4284 12.7547 18.7048 12.5565 18.7188 12.5425C18.7355 12.5286 18.7858 12.4951 18.8304 12.4643C18.8779 12.4364 18.9282 12.4029 18.9421 12.389C19.118 12.2522 19.3106 12.1182 19.3413 12.1182C19.3581 12.1182 19.3748 12.107 19.3748 12.0958C19.3748 12.0847 19.5005 11.987 19.6568 11.8809C19.8131 11.772 19.9527 11.6715 19.9695 11.6575C19.989 11.6408 20.1146 11.5487 20.2486 11.451C20.3854 11.3532 20.5055 11.2472 20.5194 11.2137C20.5306 11.1802 20.5613 10.9289 20.5864 10.6525C20.6116 10.3761 20.6506 9.9853 20.673 9.78709C20.726 9.32925 20.8824 7.74355 20.8824 7.6598V7.59559L19.0622 7.59001L17.2392 7.58163L17.1805 7.31642C16.974 6.42586 16.5524 5.52135 16.0052 4.80108C14.9416 3.39964 13.3671 2.58446 11.7674 2.60121C11.5999 2.604 11.3738 2.61517 11.2649 2.62913ZM12.2699 3.68998C13.2219 3.80444 14.0203 4.21482 14.7601 4.97417C15.0449 5.2673 15.1956 5.45435 15.3883 5.75585C15.7065 6.24998 16.0778 7.10983 16.1253 7.46717L16.1448 7.59559L11.8065 7.59001L7.46816 7.58163L7.47654 7.48951C7.48212 7.39459 7.64683 6.87812 7.725 6.70504C7.99859 6.09086 8.13817 5.84519 8.45643 5.41805C8.65464 5.15284 9.00361 4.78712 9.2074 4.63079C9.29394 4.56379 9.38328 4.49679 9.40003 4.47724C9.5787 4.30974 10.2124 3.98032 10.6228 3.84073C11.0723 3.68719 11.7423 3.62577 12.2699 3.68998ZM8.76631 9.48558C8.87798 9.56096 8.93102 9.63634 8.96452 9.75638C9.0064 9.91272 8.97569 10.2031 8.9059 10.3175C8.79702 10.4962 8.77189 10.499 7.64962 10.499C6.66415 10.499 6.63623 10.4962 6.53015 10.4376C6.37102 10.3482 6.32914 10.2393 6.3431 9.92668C6.35148 9.681 6.35706 9.65867 6.43523 9.57771C6.48269 9.52746 6.5441 9.47721 6.57481 9.46604C6.60552 9.45208 7.09686 9.44092 7.66358 9.44092C8.59322 9.43812 8.70489 9.44371 8.76631 9.48558ZM17.0856 9.49954C17.2224 9.59446 17.281 9.72567 17.281 9.94063C17.281 10.164 17.2531 10.2728 17.1666 10.365C17.041 10.499 17.0354 10.499 15.9466 10.499C14.922 10.499 14.9165 10.499 14.8215 10.4348C14.682 10.3426 14.6289 10.217 14.6289 9.96855C14.6289 9.72009 14.682 9.59446 14.8215 9.50233C14.9165 9.43812 14.922 9.43812 15.955 9.43812C16.9851 9.43812 16.9935 9.43812 17.0856 9.49954Z"
            fill="white"
          />
        </svg>

        <div class="flex flex-col pl-4 justify-start items-left text-left">
          <span class="text-xs font-normal text-100"
            >{{ this.cart.length }} Produk Terpilih</span
          >

          <span
            class="text-base text-100 font-semibold"
            v-if="this.cart.length > 0"
          >
            $
            {{
              this.cart
                .map((d) => {
                  return d.products.values().next().value;
                })
                .map((d) => {
                  return d.total;
                })
                .reduce((a, b) => a + b)
            }}
          </span>
        </div>
      </div>
      <div>
        <svg
          width="24"
          height="25"
          viewBox="0 0 24 25"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M3.28349 14.0386L17.6201 14.0386L11.3567 20.302C10.8561 20.8026 10.8561 21.624 11.3567 22.1246C11.8572 22.6251 12.6658 22.6251 13.1664 22.1246L21.6246 13.6664C22.1251 13.1658 22.1251 12.3572 21.6246 11.8567L13.1664 3.39844C12.6658 2.89788 11.8572 2.89788 11.3567 3.39844C10.8561 3.899 10.8561 4.7076 11.3567 5.20817L17.6201 11.4716L3.28349 11.4716C2.57757 11.4716 2 12.0492 2 12.7551C2 13.461 2.57757 14.0386 3.28349 14.0386Z"
            fill="white"
          />
        </svg>
      </div>
    </button>
  </a>
</template>

<script>
export default {
  name: "ButtonToCart",
  props: ["cart"],
};
</script>
